Name:           elfelli
Version:        0.3.1
Release:        2.rc1%{?dist}
Summary:        Visualisation tool for flux lines

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://home.gna.org/elfelli/
Source0:        http://download.gna.org/%{name}/%{name}-%{version}-rc1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel
BuildRequires:  expat-devel
BuildRequires:  scons

BuildRequires:  desktop-file-utils
BuildRequires:  gettext

Requires:       hicolor-icon-theme


%description
A tool to calculate and visualize electric flux lines around charged
bodies.


%prep
%setup -q -n %{name}-%{version}-rc1


%build
scons %{?_smp_mflags} prefix=%{_prefix} ccflags="%{optflags}"


%install
rm -rf %{buildroot}
scons install destdir=%{buildroot} 
%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README 
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Thu Jul 09 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.1-2.rc1
- Icon cache updates

* Mon Jul 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.1-1.rc1
- Added hicolor-icon-theme
- Desktop file and icon are now upstream
- Updated to new upstream version 0.3.1-rc1

* Sat May 02 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3-2
- Fixed flags

* Sun Apr 19 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3-1
- Initial package for Fedora
